Bug 1653125 - [DDF] --gpgcheck and --download_path doesn't exist
Summary: [DDF] --gpgcheck and --download_path doesn't exist
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: Documentation
Version: 8.0
Hardware: All
OS: All
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Vladimír Slávik
QA Contact: RHEL DPM
Vladimír Slávik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 01:15 UTC by Direct Docs Feedback
Modified: 2019-02-16 02:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-09 12:36:41 UTC
Type: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Direct Docs Feedback 2018-11-26 01:15:29 UTC
--gpgcheck and --download_path doesn't exist

[root@localhost ~]# reposync --gpgcheck -l --download_path=/var/www/html --repoid rhel-8-for-x86_64-baseos-beta-rpms --downloadcomps --download-metadata
Updating Subscription Management repositories.
usage: dnf reposync [-c [config file]] [-q] [-v] [--version]
                    [--installroot [path]] [--nodocs] [--noplugins]
                    [--enableplugin [plugin]] [--disableplugin [plugin]]
                    [--releasever RELEASEVER] [--setopt SETOPTS]
                    [--skip-broken] [-h] [--allowerasing] [-b] [-C]
                    [-R [minutes]] [-d [debug level]] [--debugsolver]
                    [--showduplicates] [-e ERRORLEVEL] [--obsoletes]
                    [--rpmverbosity [debug level name]] [-y] [--assumeno]
                    [--enablerepo [repo]] [--disablerepo [repo] | --repo
                    [repo]] [-x [package]] [--disableexcludes [repo]]
                    [--repofrompath [repo,path]] [--noautoremove]
                    [--nogpgcheck] [--color COLOR] [--refresh] [-4] [-6]
                    [--destdir DESTDIR] [--downloadonly] [--comment COMMENT]
                    [--bugfix] [--enhancement] [--newpackage] [--security]
                    [--advisory ADVISORY] [--bzs BUGZILLA] [--cves CVES]
                    [--sec-severity {Critical,Important,Moderate,Low}]
                    [--forcearch ARCH] [-a [arch]] [--delete] [-m]
                    [--download-metadata] [-n] [-p DOWNLOAD_PATH] [--source]
dnf reposync: error: unrecognized arguments: --gpgcheck -l --download_path=/var/www/html

It should be 
[root@localhost ~]# reposync --nogpgcheck --download-path=/var/www/html --repoid rhel-8-for-x86_64-baseos-beta-rpms --downloadcomps --download-metadata
Updating Subscription Management repositories.
Updating Subscription Management repositories.
Red Hat Enterprise Linux 8 for x86_64 - BaseOS Beta (RPMs)                      3.3 kB/s | 4.1 kB     00:01    
Red Hat Enterprise Linux 8 for x86_64 - BaseOS Beta (RPMs)                      5.1 MB/s | 8.3 MB     00:01    
Traceback (most recent call last):



https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8-beta/html/installing_and_deploying_rhel/building-custom-system-images-with-composer_graphical-installation#annotations:523c8165-4c81-44e1-8f48-ada2a0adaa50

Comment 2 Lars Karlitski 2018-12-13 13:04:12 UTC
Did you try these commands on RHEL 8? Downloading 7 or 8 content?

The docs are written for RHEL 7, maybe the command line arguments changed?


Note You need to log in before you can comment on or make changes to this bug.